Package com.logicaldoc.core.conversion

# Class NotAvailableConverter

java.lang.Object
com.logicaldoc.core.conversion.NotAvailableConverter

All Implemented Interfaces:
  `FormatConverter`

Direct Known Subclasses:
  `NoConversionConverter`

public class NotAvailableConverter extends Object implements FormatConverter
A converter that always convert into a static PDF that says 'not available'

Since:
  7.6.4
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`NotAvailableConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(File src, File dest)`
Performs the conversion
`void`
`convert(String sid, Document document, File src, File dest)`
Performs the conversion
`String`
`getParameter(String name)`
Gets the value of a parameter
`List<String>`
`getParameterNames()`
Implementations should return the list of the required parameters.
`Map<String,String>`
`getParameters()`
Returns the map of parameters
`boolean`
`isEnabled()`
Checks if the converter is enabled or not
`void`
`loadParameters()`
Reads it's own parameters and stores them in the parameters map
`void`
`setEnabled(boolean enabled)`
Enables or disables the converter

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotAvailableConverter

public NotAvailableConverter()

## Method Details

### convert

public void convert(File src, File dest) throws IOException
Description copied from interface: `FormatConverter`
Performs the conversion

Specified by:
  `convert` in interface `FormatConverter`
Parameters:
  `src` - The source file
  `dest` - The converted file, the extension of it's filename defines the output format
Throws:
  `IOException` - raised if the conversion resulted in an error

### convert

public void convert(String sid, Document document, File src, File dest) throws IOException
Description copied from interface: `FormatConverter`
Performs the conversion

Specified by:
  `convert` in interface `FormatConverter`
Parameters:
  `sid` - The actual Session ID (optional)
  `document` - The document (optional)
  `src` - The source file
  `dest` - The converted file, the extension of it's filename defines the output format
Throws:
  `IOException` - raised if the conversion resulted in an error

### getParameterNames

public List<String> getParameterNames()
Description copied from interface: `FormatConverter`
Implementations should return the list of the required parameters. A parameter is stored in the context as converter.SimpleClassName.parameter = value

Specified by:
  `getParameterNames` in interface `FormatConverter`
Returns:
  list of the configuration parameters

### getParameters

public Map<String,String> getParameters()
Description copied from interface: `FormatConverter`
Returns the map of parameters

Specified by:
  `getParameters` in interface `FormatConverter`
Returns:
  map param_name = param_value

### getParameter

public String getParameter(String name)
Description copied from interface: `FormatConverter`
Gets the value of a parameter

Specified by:
  `getParameter` in interface `FormatConverter`
Parameters:
  `name` - name of the configuration parameter
Returns:
  the value of the configuration parameter

### loadParameters

public void loadParameters()
Description copied from interface: `FormatConverter`
Reads it's own parameters and stores them in the parameters map

Specified by:
  `loadParameters` in interface `FormatConverter`

### isEnabled

public boolean isEnabled()
Description copied from interface: `FormatConverter`
Checks if the converter is enabled or not

Specified by:
  `isEnabled` in interface `FormatConverter`
Returns:
  if the converter is enabled

### setEnabled

public void setEnabled(boolean enabled)
Description copied from interface: `FormatConverter`
Enables or disables the converter

Specified by:
  `setEnabled` in interface `FormatConverter`
Parameters:
  `enabled` - the enabled flag